# pandas.core.window.Rolling.sum

`Rolling.``sum`(*args, **kwargs)

  Calculate rolling sum of given DataFrame or Series.

  Parameters:

  *args, **kwargs

  > For compatibility with other rolling methods. Has no effect on the computed value.

  Returns:

  Series or DataFrame

  > Same type as the input, with the same index, containing the rolling sum.

  See also

  `Series.sum`
    Reducing sum for Series.
  `DataFrame.sum`
    Reducing sum for DataFrame.

  Examples

      >>> s = pd.Series([1, 2, 3, 4, 5])
      >>> s
      0    1
      1    2
      2    3
      3    4
      4    5
      dtype: int64

      >>> s.rolling(3).sum()
      0     NaN
      1     NaN
      2     6.0
      3     9.0
      4    12.0
      dtype: float64

      >>> s.expanding(3).sum()
      0     NaN
      1     NaN
      2     6.0
      3    10.0
      4    15.0
      dtype: float64

      >>> s.rolling(3, center=True).sum()
      0     NaN
      1     6.0
      2     9.0
      3    12.0
      4     NaN
      dtype: float64

  For DataFrame, each rolling sum is computed column-wise.

      >>> df = pd.DataFrame({"A": s, "B": s ** 2})
      >>> df
         A   B
      0  1   1
      1  2   4
      2  3   9
      3  4  16
      4  5  25

      >>> df.rolling(3).sum()
            A     B
      0   NaN   NaN
      1   NaN   NaN
      2   6.0  14.0
      3   9.0  29.0
      4  12.0  50.0

Scroll To Top